/* general */

html {
  background-color: #11121d;
  color: #f2f2f2;
}


a:link {
  color: #f2f2f2;
  text-decoration: #f2f2f2 wavy underline;
}

a:visited {
  color: #808080;
  text-decoration: #808080 wavy underline;
}

a:hover {
  color: #004fb3;
  text-decoration: #004fb3 wavy underline;
}
/* page */

#page {
  display: grid;
  grid-template-columns: 20fr 80fr;
  grid-template-rows: 1fr;
  grid-column-gap: 2%;
}

#LHS, #RHS {
  border: 1px solid #f2f2f2;
  padding: 1%;
}

#grid2 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1fr;
  grid-column-gap: 2%;
  max-height: 12.5vh;
  margin-bottom: 2.5vh;
}

#LHS {
  height: 80vh;
}

#fileheader, #col2, #col3 {
  overflow: auto;
}

#viewer {
  height: 65vh;
}

iframe {
  width: 100%;
  height: 100%;
  border: none;
}

textarea {
  width: 90%;
  height: 6vh;
  border: 2px solid #f2f2f2;
  border-radius: 4px;
  background-color: #11121d;
  color: #f2f2f2;
}

#title, #description, #notesheader {
  display: flex;
}

#title {
  max-height: 5vh;
}

#icon {
  margin-top: 21.44px;
  margin-right: 10px;
}

#fileh3 {
  word-wrap: break-word;
  margin-bottom: 1vh;
  margin-top: 0;
  text-decoration: underline;
  text-decoration-thickness: 2.25px;
}

/* file tree, list */

#filetree {
  max-height: 80vh;
  max-width: 20vw;
  overflow: auto;
  word-wrap: break-word;
}

ul {
  list-style-type: none;
  margin: 0;
  padding-left: 0;
}

li {
  margin-bottom: 5px;
  list-style-type: none;
}

#actualli {
  list-style-type: square;
}

/* scrollbar */

::-webkit-scrollbar {
  width: 6px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px #11121d;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: #f2f2f2;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: #004fb3;
}

#elapsedbox {
  display: flex;
  align-items: center;
}

/* notepad */

#notepad {
  width: 60vw;
  height: 60vh;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
} 

#whole {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  overflow: hidden;
}

.CodeMirror {
  height: 50vh !important;
  background-color: #11121d !important;
  color: #f2f2f2 !important;
  border: solid #f2f2f2 3px !important;
  border-radius: 1.5% !important;
} 

.CodeMirror-cursor {
  border-color: #f2f2f2 !important;
}


.editor-statusbar {
    color: #f2f2f2 !important;
}

/* misc */

#timer {
  margin-top: 0;
  margin-bottom: 1vh;
}

#elapsed {
  margin-top: 0;
  margin-bottom: 1vh;
}

#copy {
  height: 30px;
  width: 30px;
}

#backbutton {
  color: #bfbfbf;
  background-color: #11121d;
  border: none;
  font-size: 125%;
}

#notesh3 {
  margin: 0;
  margin-bottom: 1%;
}
